{
    "doc": "Time between oral intake and sample collection (to establish contamination levels and lead to understanding optimum collection time).",
    "fields": [
        {
            "doc": "Has the baby been fed or taken medication before sample was collected.",
            "name": "neverBeenFed",
            "type": "boolean"
        },
        {
            "doc": "Time since last oral intake (feed or medication) in minutes. NOTE: Only fill in if baby was fed before sample collection.",
            "name": "minutesSinceOralIntake",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "Type of last intake (feed or medication). NOTE: Only fill in if baby was fed before sample collection.",
            "name": "babyIntake",
            "type": [
                "null",
                {
                    "doc": "Baby intake (feed or medication).",
                    "name": "BabyIntake",
                    "symbols": [
                        "MATERNAL_BREAST_MILK",
                        "DONOR_BREAST_MILK",
                        "INFANT_FORMULA",
                        "MEDICATION"
                    ],
                    "type": "enum"
                }
            ]
        }
    ],
    "name": "BabyOralIntakeQuestions",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}